#
# spec file for package gedit-plugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gedit-plugins
Summary:        A collection of plugins for gedit
Version:        2.32.0
Release:        5
Source:         %{name}-%{version}.tar.bz2
License:        GPL v2 or late
Group:          Productivity/Editors/Other
Url:            http://live.gnome.org/GeditPlugins
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gedit-devel
BuildRequires:  glib2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  gucharmap-devel
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  python-gtk-devel
BuildRequires:  python-gtksourceview-devel
BuildRequires:  translation-update-upstream
BuildRequires:  vte-devel
Requires:       gedit
Requires:       %{name}-lang = %{version}
Enhances:       gedit
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Here follows a list of plugins currently available in gedit-plugins:

 * Bracket Completion Add automaically a closing bracket when you
   insert one
 * Charmap Select characters from a charactermap
 * Code Comment Comment or uncomment blocks of code
 * Color picker Select and insert a color from a dialog (for html,
   css, php)
 * Join lines/ Split lines Join or split multiple lines through Ctrl+J
   and Ctrl+Shift+J
 * Session Saver Allow to bookmark working sessions in order to get
   them back for further use
 * Smart Spaces Allow to unindent like if you were using tabs while
   you're using spaces
 * Show tabbar A very basic plugin which shows or hides the gedit tabbar
 * Terminal A simple terminal widget accessible from the bottom panel

%prep
%setup -q
translation-update-upstream

%lang_package

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# sr@latin was added by translation-update-upstream, so kill sr@Latn
test -d %{buildroot}%{_datadir}/locale/sr@latin
rm -r %{buildroot}%{_datadir}/locale/sr@Latn
%find_lang %{name}
%find_gconf_schemas
%fdupes %{buildroot}/%{_datadir}/gedit-2/plugins
%fdupes %{buildroot}/%{_libdir}/gedit-2/plugins

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-,root,root)
%{_libdir}/gedit-2/plugins/*
%{_datadir}/gedit-2/plugins/*

%files lang -f %{name}.lang

%changelog
